# repo_sync

多平台多账户项目源码同步工具

* github
* gitlab
* gitee
* coding

## Usage

* 1、pc配置 github clone 权限
* 2、conf/config.json 中配置 github token 创建项目权限
* 3、data/repo.txt 中配置需要同步的项目
* 4、执行同步脚本：

比如把 data/repo.txt 中的项目同步到 github 上：
```
python repo_sync.py --debug true --repo data/repo.txt --type github
```


## 计划任务

1、项目以 zhizhou/github 作为项目源，同步到其他平台。
2、同步项目最好每月定时执行一次，以防止代码丢失。

```bash
vim /etc/crontab

0 0 1 * * python repo_sync.py --type github

pip install python-pip
```


## Develop

文档构建：
```
cd docs
# install pdf
apt-get install texlive-latex-recommended -y
apt-get install texlive-latex-extra -y
apt-get install latexmk -y

make html
make latexpdf


docker build -t jianboy:repo_sync_docs .
docker run -it --rm -v .:/app jianboy:repo_sync_docs

docker run -it --rm -v .:/app jianboy:repo_sync_docs /bin/sh
```
执行，/my/repo_sync_docs生成文档，部署即可
